import { Component } from 'react'
import { View, RichText, Button, Image, scrollView, Input } from '@tarojs/components'
import * as api from '../../../../service/index'
import tool from '../../../../common/tool'
import Taro, { } from '@tarojs/taro'
import './index.less'

export default class collection extends Component {
  state = {
    content: ''
  }

  componentWillMount () {
    this.getInformationDetails()
  }

  componentDidShow () {
  }
  getInformationDetails () {
    api.getInformationDetails({ news_id: 24 }).then(res => {
      if (res.code == 200) {
        this.setState({
          content: res.data.content
        })
      }
    })
  }

  render () {
    return (
      <View className='mine'>
        <RichText className='member-title' nodes={this.state.content}></RichText>
      </View>
    )
  }
}
