
import Taro from '@tarojs/taro'
export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/index/subpages/search/index',
    'pages/index/subpages/novel/index',
    'pages/index/subpages/novelText/index',
    'pages/index/subpages/directory/index',
    "pages/mine/index",
    "pages/mine/subpages/history/index",
    "pages/mine/subpages/vipDetail/index",
    "pages/mine/subpages/makeMoney/index",
    "pages/mine/subpages/withdrawal/index",
    "pages/mine/subpages/team/index",
    "pages/mine/subpages/moneyPlay/index",
    'pages/collection/index'
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#FFFFFF',
    navigationBarTitleText: 'AI绘画',
    navigationBarTextStyle: 'black',
    backgroundColor: "#FFFFFF"
  },
  tabBar: {
    color: "#888888",
    selectedColor: "#E04A4A",
    borderStyle: "white",
    backgroundColor: "#FFFFFF",
    list: [
      {
        pagePath: "pages/collection/index",
        iconPath: "images/nav/like.png",
        selectedIconPath: "images/nav/like_pin.png",
        text: "书架"
      },
      {
        pagePath: "pages/index/index",
        iconPath: "images/nav/play.png",
        selectedIconPath: "images/nav/play_pin.png",
        text: "书城"
      },
      {
        pagePath: "pages/mine/index",
        iconPath: "images/nav/my.png",
        selectedIconPath: "images/nav/my_pin.png",
        text: "我的"
      }
    ]
  },
})
