//首页js接口
import Request from '../api/request';

//登录
export const login = data =>
  Request({
    url: '/api/login',
    method: 'POST',
    data,
  });
//首页tab
export const getBookCatIndex = data =>
  Request({
    url: '/api/get_book_cat_index',
    method: 'POST',
    data,
  });
//分类书籍
export const getBookCatInfo = data =>
  Request({
    url: '/api/get_book_cat_info_v2',
    method: 'POST',
    data,
  });
//书籍简介
export const getBookinfo = data =>
  Request({
    url: '/api/get_book_info',
    method: 'POST',
    data,
  });
//加入书架
export const bookCollect = data =>
  Request({
    url: '/api/book_collect',
    method: 'POST',
    data,
  });
//获取目录
export const getBookCatalogue = data =>
  Request({
    url: '/api/get_book_catalogue',
    method: 'POST',
    data,
  });
//获取文本
export const getBookContent = data =>
  Request({
    url: '/api/get_book_content',
    method: 'POST',
    data,
  });
//获取书架
export const myBookFollow = data =>
  Request({
    url: '/api/my_book_follow',
    method: 'POST',
    data,
  });
//获取用户信息
export const getUserInfo = data =>
  Request({
    url: '/api/get_user_info',
    method: 'POST',
    data,
  });
//上报阅读记录
export const bookReadReort = data =>
  Request({
    url: '/api/book_read_reort',
    method: 'POST',
    data,
  });
//获取订单列表
export const getShopList = data =>
  Request({
    url: '/api/get_shop_list',
    method: 'POST',
    data,
  });
//获取阅读记录
export const myBookRead = data =>
  Request({
    url: '/api/my_book_read',
    method: 'POST',
    data,
  });
//删除阅读记录
export const deleteBookRead = data =>
  Request({
    url: '/api/delete_book_read',
    method: 'POST',
    data,
  });
//删除书架记录
export const deleteBookCollect = data =>
  Request({
    url: '/api/delete_book_collect',
    method: 'POST',
    data,
  });
//搜索
export const getBookSearch = data =>
  Request({
    url: '/api/get_book_search',
    method: 'POST',
    data,
  });
//创建微信订单
export const createOrder = data =>
  Request({
    url: '/api/wx_create_order',
    method: 'POST',
    data,
  });
//创建抖音订单
export const ttCreateOrder = data =>
  Request({
    url: '/api/pay/tt_create_order',
    method: 'POST',
    data,
  });
//喜欢列表
export const getBookLike = data =>
  Request({
    url: '/api/get_book_like',
    method: 'POST',
    data,
  });
//获取口令
export const getCommand = data =>
  Request({
    url: '/api/get_command',
    method: 'POST',
    data,
  });
//获取我的收益
export const getEarningsInfo = data =>
  Request({
    url: '/api/get_earnings_info',
    method: 'POST',
    data,
  });
//获取提现列标
export const getExtractList = data =>
  Request({
    url: '/api/get_extract_list',
    method: 'POST',
    data,
  });
//提现
export const alipayExtract = data =>
  Request({
    url: '/api/alipay_extract',
    method: 'POST',
    data,
  });
//赚钱说明
export const getInformationDetails = data =>
  Request({
    url: '/api/get_information_details',
    method: 'POST',
    data,
  });
//是否打开抖音广告
export const getAppConfig = data =>
  Request({
    url: '/api/get_app_config',
    method: 'POST',
    data,
  });
//上报
export const reportLogin = data =>
  Request({
    url: '/api/report_login',
    method: 'POST',
    data,
  });
//获取我的团队信息
export const getTeamInfo = data =>
  Request({
    url: '/api/get_team_info',
    method: 'POST',
    data,
  });

//输入邀请码
export const teamEnqueue = data =>
  Request({
    url: '/api/team_enqueue',
    method: 'POST',
    data,
  });
//绑定口令
export const getCheckoutBookCode = data =>
  Request({
    url: '/api/get_checkout_book_code',
    method: 'POST',
    data,
  });
//修改用户信息
export const modifyUser = data =>
  Request({
    url: '/api/modify_user',
    method: 'POST',
    data,
  });
//复制免费章节
export const getBookFreeContent = data =>
  Request({
    url: '/api/get_book_free_content',
    method: 'POST',
    data,
  });

